/// REFPROP requires exactly two input series.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidRefpropInputCount {
    #[serde(rename = "inputCount")]
    input_count: i32,
}
impl InvalidRefpropInputCount {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(input_count: i32) -> Self {
        Self::builder().input_count(input_count).build()
    }
    #[inline]
    pub fn input_count(&self) -> i32 {
        self.input_count
    }
}
impl conjure_error::ErrorType for InvalidRefpropInputCount {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:InvalidRefpropInputCount"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["inputCount"]
    }
}
